<div class="container">
  <form (ngSubmit)="guardar()" #forma="ngForm">
    <div class="row">
      <div class="col-5">
        <label for="fname" class="lbl">Nombres</label>
      </div>
      <div>
      <input 
      type="text"
      id="fname"
      placeholder="Nombre"
      class="txtbox"
      name ="nombre"
      [(ngModel)]="informacion.nombre"
      required
      #nombre="ngModel"
      minlength="10"
      [class.is-invalid]="nombre.invalid && nombre.touched"
      pattern="^[a-zA-zñÑ\s]+$"

      >
      </div>
    </div>
  
    <div class="row">
        <div class="col-5">
          <label for="femail" class="lbl">Dirección</label>
        </div>
      <div>
        <input 
        type="text" 
        id="femail" 
        placeholder="Dirección" 
        class="txtbox"
        name ="direccion"
        [(ngModel)]="informacion.direccion"
        required
        #direccion="ngModel"
        minlength="10"
        [class.is-invalid]="direccion.invalid && direccion.touched"
        pattern="^[a-zA-zñÑ\s]+$"

        >
      </div>
    </div>

    <div class="row">

      <div class="lineaR">
        <input type="checkbox"
        name="terminosCondiciones"
        id="punto"
        [(ngModel)]="informacion.terminosCondiciones"
        required
        #terminosCondiciones="ngModel"
        [class.is-invalid]="direccion.invalid"
        >
      </div>

      <div class="col-5">
        <label for="terminos" class="lbl">Acepta los terminos y condiciones</label>
      </div>

    </div>

    <div class="row">
      <div class="alinea-btn">
        <button type="submit" class="btn" [disabled]="!forma.valid">Guardar</button>
      </div>
    </div>
  </form>
</div>
    